## visad.bom
Class TrackManipulation

    java.lang.Object
      visad.bom.TrackManipulation

public class TrackManipulation
extends Object

TrackManipulation is the VisAD class for direct manipulation rendering of storm tracks under Java3D

Nested Class Summary
`(package private) class` `TrackManipulation.TrackGetter` this CellImpl computes storm track shapes from RealTuples at start and end of track

Constructor Summary

`TrackManipulation(float lat1, float lon1, float lat2, float lon2, DisplayImplJ3D d, float xs, float ys, float ang)`
(lat1, lon1) start of track (lat2, lon2) end of track d is a DisplayImplJ3D that has ScalarMaps of Latitude and Longitude but is not linked yet to any DataReferences; this constructor will add another ScalarMap to Shape and link the DisplayImplJ3D d to three data objects, two by direct manipulation

Method Summary
`static void` `main(String[] args)` test TrackManipulation optional command line arguments: java visad.bom.TrackManipulation xsize ysize angle(degrees)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrackManipulation

    public TrackManipulation(float lat1,
                             float lon1,
                             float lat2,
                             float lon2,
                             DisplayImplJ3D d,
                             float xs,
                             float ys,
                             float ang)
                      throws VisADException,
                             RemoteException

  (lat1, lon1) start of track (lat2, lon2) end of track d is a DisplayImplJ3D that has ScalarMaps of Latitude and Longitude but is not linked yet to any DataReferences; this constructor will add another ScalarMap to Shape and link the DisplayImplJ3D d to three data objects, two by direct manipulation

Method Detail

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException

  test TrackManipulation optional command line arguments: java visad.bom.TrackManipulation xsize ysize angle(degrees)

  Throws:
    `VisADException`
    `RemoteException`